=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Andrea Bolognani <eof@kiyuko.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 augeas-tools [linux-any],
 bash-completion,
 kmod [linux-any],
 libacl1-dev [linux-any],
 libapparmor-dev (>= 3.0.0) [linux-any],
 libattr1-dev [linux-any],
 libaudit-dev [linux-any],
 libblkid-dev [linux-any],
 libbsd-dev,
 libc-dev (>= 2.31-14~),
 libcap-ng-dev [linux-any],
 libcurl4-gnutls-dev [linux-any],
 libdevmapper-dev [linux-any],
 libfuse3-dev [linux-any],
 libglib2.0-dev,
 libglusterfs-dev [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libgnutls28-dev,
 libiscsi-dev [linux-any],
 libjson-c-dev [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnuma-dev [linux-any],
 libparted-dev [linux-any],
 libpcap0.8-dev [linux-any],
 libpciaccess-dev [linux-any],
 librados-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 librbd-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libreadline-dev,
 libsanlock-dev [linux-any],
 libsasl2-dev,
 libselinux1-dev [linux-any],
 libssh-dev,
 libssh2-1-dev,
 libtasn1-6-dev,
 libtirpc-dev,
 libudev-dev [linux-any],
 libwireshark-dev [linux-any],
 libxen-dev [amd64 arm64],
 libxml2-dev,
 libxml2-utils,
 lvm2 [linux-any],
 meson,
 mount [linux-any],
 numad:native [linux-any],
 open-iscsi [linux-any],
 po-debconf,
 python3-docutils,
 python3:native,
 qemu-utils [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 systemtap-sdt-dev [linux-any],
 xsltproc,
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
Homepage: https://libvirt.org/
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: libvirt-clients
Section: admin
Architecture: any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 libxml2-utils,
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libvirt-clients-qemu (= ${source:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libvirt-daemon (= ${binary:Version}) [linux-any],
 libvirt-login-shell (= ${binary:Version}) [linux-any],
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-driver-qemu (<< 6.9.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
Description: virtualization library - clients
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains virsh, a command line tool that can be used to
 control the libvirt daemon, as well as a few additional utilities.
 .
 Note that libvirt is fully network aware, meaning that it's possible to use
 the clients installed on the local machine to control a remote hypervisor
 host.

Package: libvirt-clients-qemu
Section: admin
Architecture: all
Depends:
 libvirt-common (<< ${source:Version}.1~),
 libvirt-common (>= ${source:Version}),
 libvirt0 (<< ${source:Version}.1~),
 libvirt0 (>= ${source:Version}),
 python3-cryptography,
 python3-libvirt,
 python3-lxml,
 python3:any,
 ${misc:Depends},
Description: virtualization library - clients (QEMU specific)
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains a number of clients that are specifically for use with
 the QEMU connection driver, e.g. a proxy for the QMP protocol.

Package: libvirt-daemon
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-common (= ${binary:Version}),
 libvirt-daemon-log (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libvirt-daemon-driver-interface (= ${binary:Version}),
 libvirt-daemon-driver-network (= ${binary:Version}),
 libvirt-daemon-driver-nodedev (= ${binary:Version}),
 libvirt-daemon-driver-nwfilter (= ${binary:Version}),
 libvirt-daemon-driver-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libvirt-daemon-driver-secret (= ${binary:Version}),
 libvirt-daemon-driver-storage (= ${binary:Version}),
 libvirt-daemon-driver-storage-disk (= ${binary:Version}),
 libvirt-daemon-driver-storage-iscsi (= ${binary:Version}),
 libvirt-daemon-driver-storage-logical (= ${binary:Version}),
 libvirt-daemon-driver-storage-mpath (= ${binary:Version}),
 libvirt-daemon-driver-storage-scsi (= ${binary:Version}),
 libvirt-daemon-lock (= ${binary:Version}),
 libvirt-daemon-plugin-lockd (= ${binary:Version}),
Suggests:
 libvirt-daemon-driver-lxc (= ${binary:Version}) [linux-any],
 libvirt-daemon-driver-storage-gluster (= ${binary:Version}) [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
 libvirt-daemon-driver-storage-rbd (= ${binary:Version}) [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
 libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
 libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64],
 libvirt-daemon-system (= ${binary:Version}),
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-driver-lxc (<< 6.9.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
 libvirt-sanlock (<< 6.9.0-2~),
Replaces:
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: virtualization daemon
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the libvirtd daemon, which needs to run on the
 hypervisor host.
 .
 Note that the daemon doesn't do anything useful on its own: connection
 drivers (e.g. libvirt-daemon-driver-qemu) have to be installed to give it
 the ability to create domains using various virtualization technologies,
 while secondary drivers (e.g. libvirt-daemon-driver-network) make it
 capable of managing other related resources.
Homepage: https://libvirt.org/daemons.html#monolithic-driver-daemon

Package: libvirt-daemon-common
Section: admin
Architecture: linux-any
Depends:
 adduser,
 dmidecode [amd64 arm64 armhf i386 riscv64 loong64 x32],
 gettext-base,
 iproute2,
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 polkitd (>= 121+compat0.1-2),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 netcat-openbsd,
Suggests:
 apparmor,
 auditd,
 systemtap,
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-clients (<< 10.6.0-2~),
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Replaces:
 libvirt-clients (<< 10.6.0-2~),
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: virtualization daemon - common files
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains data files needed by the various libvirt daemons.

Package: libvirt-daemon-log
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: virtualization daemon - logging daemon
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the virtlogd daemon, which handles logging.
Homepage: https://libvirt.org/daemons.html#logging-daemon

Package: libvirt-daemon-lock
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-daemon (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 10.6.0-2~),
Description: virtualization daemon - locking daemon
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the virtlockd daemon, which handles storage locking.
Homepage: https://libvirt.org/daemons.html#locking-daemon

Package: libvirt-daemon-driver-qemu
Section: admin
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Multi-Arch: no
Depends:
 adduser,
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-log (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 qemu-kvm | qemu-system,
 systemd-container | sysvinit-core,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 passt,
 swtpm,
 swtpm-tools,
Suggests:
 numad,
Enhances:
 qemu-kvm,
 qemu-system,
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Description: virtualization daemon - QEMU connection driver
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the QEMU connection driver.
Homepage: https://libvirt.org/drvqemu.html

Package: libvirt-daemon-driver-lxc
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 libvirt-daemon-driver-network (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 systemd-container | sysvinit-core,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Description: virtualization daemon - LXC connection driver
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
