## libvirt 11.3.0

=== debian/changelog ===
libvirt (11.3.0-3+deb13u1) trixie; urgency=medium

  * [6a549fc] patches: Add backports
    - backport/tlscert-Don-t-force-keyEncipherment[...]
    - backport/tls-Don-t-require-keyEncipherment-[...]
    - backport/tests-[...]-Drop-use-of-GNUTLS_KEY_KEY_ENCIPHERM[...]
      - Removes the requirement to have keyEncipherment enabled
        for TLS certificates
      - Closes: #1110816
  * [8b355a8] patches: Add backports
    - backport/daemon-Drop-log-level-of-VIR_ERR_NO_SUPPORT-[...]
      - Prevents journal spam when using the LXC driver
      - Closes: #1110963
  * [f5079ab] patches: Add backports
    - backport/qemu-capabilities-Check-if-cpuModels-is-not-NULL-[...]
      - Fixes a daemon crash that occurs when probing capabilities
        for a QEMU binary that doesn't report information about
        CPU models
      - Closes: #1112481

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 02 Nov 2025 16:54:31 +0100

libvirt (11.3.0-3) unstable; urgency=medium

  * [d10b70f] patches: Add backports
    - backport/qemu-Be-more-forgiving-when-acquiring-QUERY-job-[...]

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 02 Jul 2025 22:15:28 +0200

libvirt (11.3.0-2) unstable; urgency=medium

  * [eb4a97a] patches: Add backports
    - backport/[...]-Don-t-setup-qemu-for-inco.patch
      - Closes: #1104735

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 01 Jun 2025 16:39:44 +0200

libvirt (11.3.0-1) unstable; urgency=medium

  * [228f666] New upstream version 11.3.0

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 02 May 2025 22:25:28 +0200

libvirt (11.2.0-3) experimental; urgency=medium

  * [0b16592] control: Introduce ARCHES_WIRESHARK
    - Don't build the Wireskark dissector on m68k or x32
  * [07012be] patches: Add debian/Drop-inter-package-Also-lines-[...]
    - Work around a limitation in deb-systemd-helper
    - Closes: #1082939
  * [c192aea] daemon-system: Only build on ARCHES_QEMU
    - It depends on the QEMU driver

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 22 Apr 2025 22:27:04 +0200
