=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
  libtasn1-6-dev,
  libtirpc-dev,
  libudev-dev [linux-any],
- libwireshark-dev [linux-any],
+ libwireshark-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64],
  libxen-dev [amd64 arm64],
  libxml2-dev,
  libxml2-utils,
@@ -332,5 +332,3 @@
 Description: virtualization daemon - LXC connection driver
  libvirt exposes a long-term stable API that can be used to interact with
  various hypervisors. Its architecture is highly modular, with most features
- implemented as optional drivers. It can be used from C as well as several
- other programming languages, and it forms the basis of virtualization
