## libvirt 11.5.0

=== debian/changelog ===
libvirt (11.5.0-1) experimental; urgency=medium

  * [0ae9dd8] New upstream version 11.5.0

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 02 Jul 2025 21:22:39 +0200
