=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Andrea Bolognani <eof@kiyuko.org>,
@@ -10,7 +11,6 @@
  dh-apparmor [linux-any],
  augeas-tools [linux-any],
  bash-completion,
- kmod [linux-any],
  libacl1-dev [linux-any],
  libapparmor-dev (>= 3.0.0) [linux-any],
  libattr1-dev [linux-any],
@@ -40,7 +40,6 @@
  libsasl2-dev,
  libselinux1-dev [linux-any],
  libssh-dev,
- libssh2-1-dev,
  libtasn1-6-dev,
  libtirpc-dev,
  libudev-dev [linux-any],
@@ -48,11 +47,8 @@
  libxen-dev [amd64 arm64],
  libxml2-dev,
  libxml2-utils,
- lvm2 [linux-any],
+ libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
  meson,
- mount [linux-any],
- numad:native [linux-any],
- open-iscsi [linux-any],
  po-debconf,
  python3-docutils,
  python3:native,
@@ -155,6 +151,7 @@
  libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
  libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
  libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64],
+ libvirt-daemon-plugin-sanlock (= ${binary:Version}),
  libvirt-daemon-system (= ${binary:Version}),
 Conflicts:
  libvirt-daemon-system (<< 10.6.0-2~),
@@ -190,6 +187,7 @@
  dmidecode [amd64 arm64 armhf i386 riscv64 loong64 x32],
  gettext-base,
  iproute2,
+ kmod [linux-any],
  libvirt-common (= ${binary:Version}),
  libvirt0 (= ${binary:Version}),
  polkitd (>= 121+compat0.1-2),
@@ -286,17 +284,18 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- passt,
  swtpm,
  swtpm-tools,
 Suggests:
  numad,
+ passt,
 Enhances:
  qemu-kvm,
  qemu-system,
 Breaks:
  libvirt-clients (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
+ libvirt-daemon-config-network (<< 11.0.0-2ubuntu9~),
 Replaces:
  libvirt-clients (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
@@ -330,5 +329,3 @@
  libvirt-daemon (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
 Description: virtualization daemon - LXC connection driver
- libvirt exposes a long-term stable API that can be used to interact with
- various hypervisors. Its architecture is highly modular, with most features
