=== debian/tests/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  smoke-qemu-session,
 Depends:
  libvirt-clients,
- libvirt-daemon,
+ libvirt-daemon-system,
  libxml2-utils,
+ linux-image-amd64 [amd64] | linux-generic [amd64],
  qemu-kvm,
  qemu-system,
 Restrictions:
@@ -30,6 +31,7 @@
  allow-stderr,
  isolation-machine,
  needs-root,
+ skippable,
 
 Tests:
  build-test,
@@ -39,3 +41,24 @@
  pkg-config,
 Restrictions:
  allow-stderr,
+
+Tests:
+ network,
+Depends:
+ dnsmasq-base,
+ libvirt-clients,
+ libvirt-daemon,
+ libvirt-daemon-driver-qemu,
+Restrictions:
+ allow-stderr,
+ needs-root,
+
+Tests:
+ default-uri,
+Depends:
+ libvirt-clients,
+ libvirt-daemon,
+ libvirt-daemon-driver-qemu,
+Restrictions:
+ allow-stderr,
+ needs-root,
