## libvirt 11.7.0

=== debian/changelog ===
libvirt (11.7.0-1) unstable; urgency=medium

  [ Nuri KÜÇÜKLER ]
  * [192b7f1] debconf: Add Turkish translation
    - Closes: #1110365

  [ Andrea Bolognani ]
  * [cc15910] New upstream version 11.7.0

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 01 Sep 2025 21:28:23 +0200
