=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Andrea Bolognani <eof@kiyuko.org>,
@@ -40,6 +39,7 @@
  libsasl2-dev,
  libselinux1-dev [linux-any],
  libssh-dev,
+ libssh2-1-dev,
  libtasn1-6-dev,
  libtirpc-dev,
  libudev-dev [linux-any],
@@ -47,7 +47,6 @@
  libxen-dev [amd64 arm64],
  libxml2-dev,
  libxml2-utils,
- libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
  meson,
  po-debconf,
  python3-docutils,
@@ -151,7 +150,6 @@
  libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
  libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
  libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64],
- libvirt-daemon-plugin-sanlock (= ${binary:Version}),
  libvirt-daemon-system (= ${binary:Version}),
 Conflicts:
  libvirt-daemon-system (<< 10.6.0-2~),
@@ -284,18 +282,17 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ passt,
  swtpm,
  swtpm-tools,
 Suggests:
  numad,
- passt,
 Enhances:
  qemu-kvm,
  qemu-system,
 Breaks:
  libvirt-clients (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
- libvirt-daemon-config-network (<< 11.0.0-2ubuntu9~),
 Replaces:
  libvirt-clients (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
@@ -329,3 +326,7 @@
  libvirt-daemon (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
 Description: virtualization daemon - LXC connection driver
+ libvirt exposes a long-term stable API that can be used to interact with
+ various hypervisors. Its architecture is highly modular, with most features
+ implemented as optional drivers. It can be used from C as well as several
+ other programming languages, and it forms the basis of virtualization
